##
##  iodbc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2021 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         iodbc
Summary:      Independent ODBC
URL:          http://www.iodbc.org/
Vendor:       Ke Jin & Patrick van Kleef
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Database
License:      LGPL
Version:      3.52.15
Release:      20210608

#   list of sources
Source0:      http://download.sourceforge.net/iodbc/libiodbc-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
Provides:     ODBC
Conflicts:    unixodbc

%description
    ODBC is the acronym for Open DataBase Connectivity, a Microsoft
    Universal Data Access standard that started life as the Windows
    implementation of the X/Open SQL Call Level Interface specification.
    Since its inception in 1992 it has rapidly become the industry
    standard interface for developing database independent applications.
    iODBC is the acronym for Independent Open DataBase Connectivity, an
    Open Source platform independent implementation of both the ODBC
    and X/Open specifications. It is rapidly emerging as the industry
    standard for developing solutions that are language, platform and
    database independent.

%track
    prog iodbc = {
        version   = %{version}
        url       = http://www.iodbc.org/dataspace/iodbc/wiki/iODBC/Downloads
        regex     = libiodbc-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n libiodbc-%{version}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --with-iodbc-inidir=%{l_prefix}/etc/iodbc \
        --disable-gui \
        --disable-pthreads \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/iodbc
    %{l_shtool} install -c -m 644 \
        /dev/null $RPM_BUILD_ROOT%{l_prefix}/etc/iodbc/odbc.ini
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/iodbc/*'

%files -f files

%clean

